
Redmine - Patch #21487

Larger font for email notifications

2015-12-11 10:23 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 3.2.1   

Description

Current font size 0.8em is too small and a little bit hard to read.

Please use larger font.

Related issues:

Related to Redmine - Defect #22006: Fonts too small in version 3.2.0 Closed

Associated revisions

Revision 15026 - 2016-01-09 11:22 - Jean-Philippe Lang

Larger font for email notifications (#21487).

Patch by Go MAEDA.

Revision 15076 - 2016-01-21 05:42 - Jean-Philippe Lang

Merged r15026 (#21487).

Revision 15228 - 2016-03-13 09:13 - Jean-Philippe Lang

Set font size in email notifications (#21487).

Revision 15229 - 2016-03-13 09:14 - Jean-Philippe Lang

Merged r15228 (#21487).

History

#1 - 2015-12-14 02:37 - Go MAEDA

- File japanese-text-sample.png added

- Target version set to 3.2.1

GMail users see notifications without any style Before Redmine 3.2.0 (#8335). But with styles (Redmine 3.2.0), fonts are very small.

I usually use Japanese characters. We use thousands of characters and many of them have intricate shape so characters which are displayed in

small font and light gray are illegible.

Please see the following example (That means "This is an example of Japanese text"). Some characters(11px) are obscured.

example:

 

#2 - 2015-12-14 15:17 - Maxim Krušina

+1 and... thanx! :)

#3 - 2015-12-19 04:38 - Go MAEDA

- File larger-font-for-email-notifications-v2.diff added

Updated the patch.

darker black for text color.

line-height for h1.
https://www.redmine.org/issues/8335


#4 - 2016-01-09 11:23 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

Committed in r15026.

#5 - 2016-01-14 10:53 - Hide MATSUTANI

+1 thank you Maeda-san

#6 - 2016-01-21 05:43 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#7 - 2016-02-08 19:51 - Hugues C.

- File redmine-3.1.2-thunderbird.png added

- File redmine-3.1.2-zimbra.png added

- File redmine-3.2.0-thunderbird-patch21487.png added

- File redmine-3.2.0-zimbra.png added

- File redmine-3.2.0-zimbra-patch21487.png added

It seems that this patch (r15026) results in fonts too big in some email clients (tested in latest Zimbra Web Client 8.6.0 and latest Thunderbird 38.5.1).

Could this issue be related to r14541 or r14540 or some other changes in 3.2.0?

With Redmine 3.1.2 everything was fine in all clients (see redmine-3.1.2-thunderbird.png and redmine-3.1.2-zimbra.png)

With vanilla Redmine 3.2.0 everything is too small in Zimbra even though mailer.html.erb is the same as in 3.1.2 (see redmine-3.2.0-zimbra.png)

With the patch r15026 to mailer.html.erb in 3.2.0 everything is too big in all clients (see redmine-3.2.0-thunderbird-patch21487.png and 

redmine-3.2.0-zimbra-patch21487.png)

#8 - 2016-02-29 05:35 - Toshi MARUYAMA

- Status changed from Closed to Reopened

#9 - 2016-02-29 05:37 - Toshi MARUYAMA

- Related to Defect #22006: Fonts too small in version 3.2.0 added

#10 - 2016-03-13 05:15 - Go MAEDA

Hugues C. wrote:

It seems that this patch (r15026) results in fonts too big in some email clients (tested in latest Zimbra Web Client 8.6.0 and latest Thunderbird

38.5.1). Could this issue be related to r14541 or r14540 or some other changes in 3.2.0?

 Confirmed in Thunderbird. The following patch fixes the problem.

Index: app/views/layouts/mailer.html.erb

===================================================================

--- app/views/layouts/mailer.html.erb    (revision 15225)

+++ app/views/layouts/mailer.html.erb    (working copy)

@@ -3,6 +3,7 @@

 <style>

 body {

   font-family: Verdana, sans-serif;

+  font-size: 14px;

   line-height: 1.45em;

   color: #222;

 }

#11 - 2016-03-13 09:14 - Jean-Philippe Lang

- Status changed from Reopened to Closed

I've committed this change and also reduced the heading font size a bit. Thanks.

Files

larger-font-for-email-notifications.diff 784 Bytes 2015-12-11 Go MAEDA
https://www.redmine.org/projects/redmine/repository/svn/revisions/15026
https://www.redmine.org/projects/redmine/repository/svn/revisions/15026
https://www.redmine.org/projects/redmine/repository/svn/revisions/14541
https://www.redmine.org/projects/redmine/repository/svn/revisions/14540
https://www.redmine.org/attachments/15386
https://www.redmine.org/attachments/15387
https://www.redmine.org/attachments/15388
https://www.redmine.org/projects/redmine/repository/svn/revisions/15026
https://www.redmine.org/attachments/15389
https://www.redmine.org/attachments/15390
https://www.redmine.org/projects/redmine/repository/svn/revisions/15026
https://www.redmine.org/projects/redmine/repository/svn/revisions/14541
https://www.redmine.org/projects/redmine/repository/svn/revisions/14540


japanese-text-sample.png 3.81 KB 2015-12-14 Go MAEDA

larger-font-for-email-notifications-v2.diff 910 Bytes 2015-12-19 Go MAEDA

redmine-3.1.2-thunderbird.png 102 KB 2016-02-08 Hugues C.

redmine-3.1.2-zimbra.png 140 KB 2016-02-08 Hugues C.

redmine-3.2.0-zimbra.png 94.7 KB 2016-02-08 Hugues C.

redmine-3.2.0-thunderbird-patch21487.png 121 KB 2016-02-08 Hugues C.

redmine-3.2.0-zimbra-patch21487.png 144 KB 2016-02-08 Hugues C.
